## debian-installer 20101020ubuntu451.28%2B8.0trisquel4

=== debian/changelog ===
debian-installer (20101020ubuntu451.28+8.0trisquel4) flidas; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Jan 2020 20:08:29 +0000

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Trisquel Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/xenial-proposed
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, trisquel-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], kmod [linux-any], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 7.0.0)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- trisquel-keyring
#		To provide the archive key for security checks.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xml
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40)
#		We use mklibs for library reduction.
#	- genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc sparc64]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#		armel/armhf uses it for omap3/4 netboot images and requires
#		3.0.9-1ubuntu2 to create bootable filesystems on OMAP
#	- cpio
#		For creating initramfs images.
#	- devio [armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- parted [armel armhf]
#		For ARM OMAP images.
#	- slugimage (>= 0.10+r58-6) [armeb armel]
#		For building nslu2 firmware images.
#	- u-boot-tools [arm64 armel armhf]
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 3:6) [i386 amd64]
#	- syslinux-utils (>= 3:6) [i386 amd64]
#	- pxelinux (>= 3:6) [i386 amd64]
#	- isolinux (>= 3:6) [i386 amd64]
#	- syslinux-common (>= 3:6) [i386 amd64]
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc sparc64]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo [mipsel]
#		For booting Cobalt machines.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- u-boot [armel armhf]
#		First and second state bootloaders for various ARM boards
#	- shim [amd64]
#		First-stage bootloader for UEFI Secure Boot
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python3 (>= 3.1) [i386 amd64]
#		For building gfxboot help texts.
#
#	- kmod [linux-any]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
#	- makefs [kfreebsd-i386 kfreebsd-amd64]
#		Used to create an UFS1 filesystem from a directory tree.
#	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Used as the CD-ROM's bootloader
#       - xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el]
#               Used by grub-pc/grub-ieee1275-bin to create the CD-ROM images
#	- grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64]
#		EFI bootloader support.
#	- grub-common [amd64 arm64]
#		For the GRUB font.
#	- debian-ports-archive-keyring [sh4 sparc64]
#		Used for architectures hosted on debian-ports.org
#	- grub-ieee1275-bin [ppc64el]
#		IEEE1275 bootloader support.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

Package: debian-installer-udebs
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${udeb:Depends}
Description: Metapackage depending on debian-installer's built-in udebs
 This package depends on the set of udebs that the current debian-installer
 build was built against, for easier version and migration tracking.

## debian-installer 20101020ubuntu451.28+8.0trisquel4

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define mkfs.ufs1
  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find . -type f ! -name \*SUMS` > MD5SUMS
	cd $(BASE_DEST) && sha1sum `find . -type f ! -name \*SUMS` > SHA1SUMS
	cd $(BASE_DEST) && sha256sum `find . -type f ! -name \*SUMS` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

## debian-installer 20101020ubuntu451.29

=== doc/talks/d-i_debconf5/slides/Makefile ===
TEX    = latex
DVIPS  = dvips
PDFTEX = pdflatex

.PHONY: clean
.SILENT: all dvi clean


SOURCES = $(shell ls | grep -e '\.tex')
SOURCE  = d-i_debconf5

all: pdf

pdf: $(SOURCES:.tex=.pdf)

dvi: $(SOURCES:.tex=.dvi) 

ps:  buildps

buildps: $(SOURCES:.dvi=.ps)

.tex.dvi:
	$(TEX) $(TEXARGS) $(SOURCE)

.dvi.ps:
	$(DVIPS) $(DVIPSARGS) $<

d-i_debconf5.pdf: d-i_debconf5.tex
	$(PDFTEX) $<
	$(PDFTEX) $<

.tex.pdf:
	$(PDFTEX) $(PDFTEXARGS) $<

clean:
	rm -rf *.log *.nav *.out *.snm *.toc *.aux

distclean: clean
	rm -rf *.pdf *.dvi *.ps

=== debian/changelog ===
debian-installer (20101020ubuntu451.29) xenial; urgency=medium

  * Move master kernels to 4.4.0-186.
  * Move hwe kernels to 4.15.0-112.
  * Build without xenial-proposed, as kernel there is not ready for point
    release.
  * Drop .efi.signed suffix from v4.4 kernels too now.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jul 2020 21:56:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Trisquel Installer Team <ubuntu-installer@lists.ubuntu.com>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.8.3
@@ -9,7 +9,7 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/xenial-proposed
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, trisquel-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], kmod [linux-any], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
+Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 3:6) [i386 amd64], syslinux-utils (>= 3:6) [i386 amd64], pxelinux (>= 3:6) [i386 amd64], isolinux (>= 3:6) [i386 amd64], syslinux-common (>= 3:6) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], kmod [linux-any], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -26,7 +26,7 @@
 # 		apt-ftparchive is used for including localudebs.
 #	- gnupg
 #		New versions of apt need gnupg for security checks.
-#	- trisquel-keyring
+#	- ubuntu-keyring
 #		To provide the archive key for security checks.
 #	- dctrl-tools
 #		Various manipulations of the udeb Packages files.
@@ -142,7 +142,7 @@
 #		Bootloader for m68k/mac machines.
 #	- u-boot [armel armhf]
 #		First and second state bootloaders for various ARM boards
-#	- shim [amd64]
+#	- shim-signed [amd64]
 #		First-stage bootloader for UEFI Secure Boot
 #
 # Architecture specific build dependencies:

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=xenial
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export NO_PNG_PKG_MANGLE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(VERSION) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms

	# Only depend on the packages, not versions, at least for now:
	echo -n "udeb:Depends=" >> debian/debian-installer-udebs.substvars
	while read p v a; do \
		echo -n "$$p, " >> debian/debian-installer-udebs.substvars; \
	done < build/dest/udeb.list
	echo "" >> debian/debian-installer-udebs.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20101020ubuntu483

=== build/Makefile ===
--- 
+++ 
@@ -52,6 +52,9 @@
 #     |-- initrd.gz
 #     `-- vmlinuz
 #
+
+# Temporary workaround for #823881:
+export MTOOLS_SKIP_CHECK=1
 
 # Add to PATH so dpkg will always work, and so local programs will be found.
 PATH := util:$(PATH):/usr/sbin:/sbin
@@ -373,8 +376,3 @@
 	# Copy in any extra files.
 	set -e; \
 	for file in $(EXTRAFILES); do \
-		mkdir -p $(TREE)/`dirname $$file`; \
-		cp -a $$file $(TREE)/$$file; \
-	done
-endif
-

=== debian/changelog ===
debian-installer (20101020ubuntu483) yakkety; urgency=medium

  * Tell GRUB to load the gzio module on arm64 now that we're booting
    a compressed kernel (LP: #1632473).

 -- dann frazier <dannf@ubuntu.com>  Tue, 11 Oct 2016 16:22:23 -0600

debian-installer (20101020ubuntu482) yakkety; urgency=medium

  * Move master kernels to 4.8.0-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Oct 2016 09:42:02 -0600

debian-installer (20101020ubuntu481) yakkety; urgency=medium

  * Move master kernels to 4.8.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 06 Oct 2016 00:17:59 -0600

debian-installer (20101020ubuntu480) yakkety; urgency=medium

  * No-change rebuild to pick up an updated shim.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Oct 2016 11:16:36 -0400

debian-installer (20101020ubuntu479.1) yakkety; urgency=medium

  * Move master kernles to 4.8.0-19.
  * Use full version as BUILD_DATE string in the build process, such that
    mini.iso mini-info & d-i fake status file correctly declare full
    buildstamp. Currently it's impossible to tell apart SRU builds from
    each other and from the GA build. LP: #1628149
  * Use SRU version number for this release, to test complete version
    numbers in status/mini-info.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Oct 2016 13:29:26 +0100

debian-installer (20101020ubuntu478) yakkety; urgency=medium

  * Move master kernels to 4.8.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 26 Sep 2016 09:46:14 -0600

debian-installer (20101020ubuntu477) yakkety; urgency=medium

  * Move master kernels to 4.8.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 23 Sep 2016 09:57:07 -0600

debian-installer (20101020ubuntu476) yakkety; urgency=medium

  * Move master kernels to 4.8.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Sep 2016 06:12:52 -0600

debian-installer (20101020ubuntu475) yakkety; urgency=medium

  * Move master kernels to 4.8.0-14.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 22 Sep 2016 00:47:02 +0100

debian-installer (20101020ubuntu474) yakkety; urgency=medium

  * Use the generic kernel for the powerpc64 flavor (LP: #1625368)
  * Move master kernels to 4.8.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 19 Sep 2016 15:22:06 -0600

debian-installer (20101020ubuntu473) yakkety; urgency=medium

  * Move master kernels to 4.4.0-9136.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 26 Aug 2016 05:21:04 -0600

debian-installer (20101020ubuntu472) yakkety; urgency=medium

  [ Adam Conrad ]
  * Rebuild against netcfg 1.138ubuntu2 (LP: #1616400)

  [ dann frazier ]
  * arm64/xgene-uboot: Set the correct compression flag when generating
    a uImage of a gzip'd kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 25 Aug 2016 10:24:39 -0600

debian-installer (20101020ubuntu471) yakkety; urgency=medium

  * Cherry-pick patch from Debian to clean up Perl warnings.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2016 19:01:23 -0600

debian-installer (20101020ubuntu470) yakkety; urgency=medium

  * Move master kernels to 4.4.0-9134.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 Aug 2016 23:18:25 -0600

debian-installer (20101020ubuntu469) yakkety; urgency=medium

  * Move master kernels to 4.4.0-9034.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 17 Aug 2016 09:06:37 -0600

debian-installer (20101020ubuntu468) yakkety; urgency=medium

  * Move master kernels to 4.4.0-34.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 30 Jul 2016 14:06:01 -0600

debian-installer (20101020ubuntu467) yakkety; urgency=medium

  [ dann frazier ]
  * arm64/cdrom: add virtio-modules for QEMU installs (LP: #1605407)

  [ Adam Conrad ]
  * Move master kernels to 4.4.0-33.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Jul 2016 11:17:27 -0600

debian-installer (20101020ubuntu466) yakkety; urgency=medium

  * Stop stripping modules; it removes the signatures (LP: #1604441)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Jul 2016 10:48:11 -0600

debian-installer (20101020ubuntu465) yakkety; urgency=medium

  * Move master kernels to 4.4.0-31.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Jul 2016 15:57:19 -0600

debian-installer (20101020ubuntu464) yakkety; urgency=medium

  * Move master kernels to 4.4.0-30.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Jul 2016 11:07:33 -0600

debian-installer (20101020ubuntu463) yakkety; urgency=medium

  * Move master kernels to 4.4.0-28.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 27 Jun 2016 09:31:01 -0600

debian-installer (20101020ubuntu462) yakkety; urgency=medium

  * Rebuild with updated s390-tools. LP: #1592990.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 25 Jun 2016 04:29:49 +0100

debian-installer (20101020ubuntu461) yakkety; urgency=medium

  * Move master kernels to 4.4.0-27.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 21 Jun 2016 14:02:28 -0600

debian-installer (20101020ubuntu460) yakkety; urgency=medium

  * Move master kernels to 4.4.0-25.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Jun 2016 00:06:37 -0600

debian-installer (20101020ubuntu459) yakkety; urgency=medium

  * Move master kernels to 4.4.0-24.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Jun 2016 08:23:26 -0600

debian-installer (20101020ubuntu458) yakkety; urgency=medium

  * Move master kernels to 4.4.0-23.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 23 May 2016 15:46:36 +0100

debian-installer (20101020ubuntu457) yakkety; urgency=medium

  * No-change rebuild to pull in security kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 May 2016 22:48:48 -0600

debian-installer (20101020ubuntu456) yakkety; urgency=medium

  * Cherry-pick fix from Debian git for dosfstools 4.0 regression.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 May 2016 11:15:51 -0600

debian-installer (20101020ubuntu455) yakkety; urgency=medium

  * Rebuild to include updated netcfg package. LP: #1572607, LP: #1567687

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 May 2016 13:16:51 +0100



=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=xenial
+USE_UDEBS_FROM=yakkety
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else

## debian-installer 20101020ubuntu483.2

=== debian/changelog ===
debian-installer (20101020ubuntu483.2) yakkety; urgency=medium

  * Move master kernels to 4.8.0-39 (LP: #1625222)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 28 Feb 2017 09:47:37 -0700

debian-installer (20101020ubuntu483.1) yakkety; urgency=medium

  * Move master kernels to 4.8.0-30 (LP: #1633629)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Dec 2016 04:01:34 -0700

## debian-installer 20101020ubuntu504

=== debian/changelog ===
debian-installer (20101020ubuntu504) zesty; urgency=medium

  * Move master kernels to 4.10.0-19.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Apr 2017 02:37:15 -0600

debian-installer (20101020ubuntu503) zesty; urgency=medium

  * Move master kernels to 4.10.0-18 (LP: #1680156)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 06 Apr 2017 03:16:37 -0600

debian-installer (20101020ubuntu502) zesty; urgency=medium

  * Move master kernels to 4.10.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 05 Apr 2017 07:56:54 -0600

debian-installer (20101020ubuntu501) zesty; urgency=medium

  * Move master kernels to 4.10.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 27 Mar 2017 14:24:57 -0600

debian-installer (20101020ubuntu500) zesty; urgency=medium

  * Bump FLOPPY_SIZE on x86 by 3MB for chubbier linux-firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Mar 2017 16:27:13 -0600

debian-installer (20101020ubuntu499) zesty; urgency=medium

  * Move master kernels to 4.10.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Mar 2017 13:19:57 -0600

debian-installer (20101020ubuntu498) zesty; urgency=medium

  * Move master kernels to 4.10.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Mar 2017 15:06:06 -0600

debian-installer (20101020ubuntu497) zesty; urgency=medium

  * Move master kernels to 4.10.0-11.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 07 Mar 2017 17:25:41 +0000

debian-installer (20101020ubuntu496) zesty; urgency=medium

  * Move master kernels to 4.10.0-9.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 Feb 2017 08:45:34 -0700

debian-installer (20101020ubuntu495) zesty; urgency=medium

  * Move master kernels to 4.10.0-8.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Feb 2017 01:39:45 +0000

debian-installer (20101020ubuntu494) zesty; urgency=medium

  * Move master kernels to 4.9.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jan 2017 12:12:31 -0700

debian-installer (20101020ubuntu493) zesty; urgency=medium

  * Move master kernels to 4.9.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Jan 2017 12:55:10 -0700

debian-installer (20101020ubuntu492) zesty; urgency=medium

  * Rebuild with new netcfg (do not show empty wifi option) LP: #1558271

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Jan 2017 17:23:15 +0000

debian-installer (20101020ubuntu491) zesty; urgency=medium

  * Rebuild for new netcfg LP: #1572620.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Jan 2017 16:20:11 +0000

debian-installer (20101020ubuntu490) zesty; urgency=medium

  * Move master kernels to 4.9.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 17 Dec 2016 11:21:52 -0700

debian-installer (20101020ubuntu489) zesty; urgency=medium

  * Move master kernels to 4.8.0-30 (LP: #1633629)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Dec 2016 04:04:01 -0700

debian-installer (20101020ubuntu488) zesty; urgency=medium

  * No change rebuild to include util-linux 2.29-1ubuntu2 with fallocate
    for fast swapfile allocation.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 30 Nov 2016 23:47:11 +0000

debian-installer (20101020ubuntu487) zesty; urgency=medium

  * build/util/efi-image: Fix up FAT filesystem size calculation:
    - Call mkfs.msdos with -v so we can trace what it's doing.
    - We appear to need 32k headroom, not 24k; this was masked
      by rounding errors and blind luck until grub grew 1.5kB.
    - Break out the magic headroom number into 32+31 to match
      the comment and make the arithmetic more obvious to read.
    - Round file sizes up, not down, so we don't break in future.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 06 Nov 2016 02:16:48 -0700

debian-installer (20101020ubuntu486) zesty; urgency=medium

  * No change rebuild, to resign with just 4k key.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 04 Nov 2016 22:39:26 +0000

debian-installer (20101020ubuntu485) zesty; urgency=medium

  * Switch from yakkety to zesty sources.
  * Include $efi_name in shim filename.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 24 Oct 2016 12:18:24 -0600

debian-installer (20101020ubuntu484) zesty; urgency=low

  * Move master kernels to 4.8.0-26.

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 24 Oct 2016 17:56:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=yakkety
+USE_UDEBS_FROM=zesty
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else

## debian-installer 20101020ubuntu523

=== debian/changelog ===
debian-installer (20101020ubuntu523) artful; urgency=low

  * Move master kernels to 4.13.0-16.

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 12 Oct 2017 20:45:59 +0100

debian-installer (20101020ubuntu522) artful; urgency=medium

  * Move master kernels to 4.13.0-15.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 11 Oct 2017 08:17:51 +0100

debian-installer (20101020ubuntu521) artful; urgency=medium

  * Move master kernels to 4.13.0-12.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Sep 2017 15:02:18 +0100

debian-installer (20101020ubuntu520) artful; urgency=medium

  * Move master kernels to 4.13.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2017 17:04:07 -0600

debian-installer (20101020ubuntu519) artful; urgency=medium

  * Rebuild with netcfg 1.142ubuntu4 LP: #1714167

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 Sep 2017 14:05:23 +0100

debian-installer (20101020ubuntu518) artful; urgency=medium

  * Bump FLOPPY_SIZE on x86 by 5MB.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Sep 2017 16:31:37 +0200

debian-installer (20101020ubuntu517) artful; urgency=low

  * Move master kernels to 4.12.0-13.

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 10 Sep 2017 12:07:03 +0100

debian-installer (20101020ubuntu516) artful; urgency=low

  * Move master kernels to 4.12.0-12.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 30 Aug 2017 15:51:25 +0100

debian-installer (20101020ubuntu515) artful; urgency=medium

  * Move master kernels to 4.12.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Aug 2017 08:24:38 -0600

debian-installer (20101020ubuntu514) artful; urgency=medium

  * Move master kernels to 4.11.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 Aug 2017 23:06:54 -0600

debian-installer (20101020ubuntu513) artful; urgency=medium

  * Move master kernels to 4.11.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 01 Aug 2017 01:48:50 -0600

debian-installer (20101020ubuntu512) artful; urgency=medium

  * Rebuild with network-console 1.67 to fix missing ssh user and thus
    failure to configure network-console.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Jul 2017 12:55:14 +0100

debian-installer (20101020ubuntu511) artful; urgency=medium

  * Move master kernels to 4.11.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jul 2017 01:45:14 -0600

debian-installer (20101020ubuntu510) artful; urgency=medium

  * Backport change from Debian to use [trusted=yes] for localudebs.
  * apt's trusted.gpg has been world-readable since 1.1.0 so use it.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Jul 2017 00:29:20 -0600

debian-installer (20101020ubuntu509) artful; urgency=medium

  * Move master kernels to 4.10.0-26.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 30 Jun 2017 02:23:22 -0600

debian-installer (20101020ubuntu508) artful; urgency=medium

  * No-change rebuild for netcfg update.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 09 Jun 2017 15:22:45 -0700

debian-installer (20101020ubuntu507) artful; urgency=medium

  * Move master kernels to 4.10.0-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 May 2017 16:35:20 -0600

debian-installer (20101020ubuntu506) artful; urgency=medium

  * Move master kernels to 4.10.0-21.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 24 May 2017 06:57:18 +0100

debian-installer (20101020ubuntu505) artful; urgency=medium

  * Switch from zesty to artful sources.
  * Move master kernels to 4.10.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 26 Apr 2017 11:53:00 -0600

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=zesty
+USE_UDEBS_FROM=artful
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else

## debian-installer 20101020ubuntu523.2

=== debian/changelog ===
debian-installer (20101020ubuntu523.2) artful; urgency=medium

  * No change rebuild to pick up the latest change in preseed (LP: #1745531)

 -- Zhang Hua <joshua.zhang@canonical.com>  Fri, 26 Jan 2018 13:53:02 +0800

debian-installer (20101020ubuntu523.1) artful; urgency=medium

  * Move master kernels to 4.13.0-21.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Jan 2018 17:40:53 -0800
